## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

POST
/v1/users

### Create User

#### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com"
}
'```

#### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/users"

payload = { "email": "jsmith@example.com" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({email: 'jsmith@example.com'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/users', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/users",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'email' => 'jsmith@example.com'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/users"

payload := strings.NewReader("{\n  \"email\": \"jsmith@example.com\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/users")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"jsmith@example.com\"\n}")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"jsmith@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

### Response

#### 201 - application/json

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "enabled": true,
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}
```

### Authorizations

#### Authorization

- **Type:** string
- **In:** header
- **Required:** Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Body

- **Type:** application/json

| Field   | Type   | Required | Description                                     |
|---------|--------|----------|-------------------------------------------------|
| email   | string | Yes      | The user's email address.                       |
| role    | enum   | Yes      | The role assigned to the user.                  |

### Response details

- **id:** The unique object identifier.
- **version:** Data integrity version.
- **creationDate:** Date the object was created.
- **lastModifiedDate:** Date when the object was last modified.
- **createdUserInfo:** Info about the user who created the object.
- **lastModifiedUserInfo:** Info about the user who last updated the object.
- **firstName:** User's first name.
- **lastName:** User's last name.
- **email:** User's email address.
- **enabled:** User's account status.
- **validated:** Whether the user has activated their account.
- **serviceAccount:** Indicates if this account is part of an API token.
- **recentLogins:** A list of recent logins with timestamps.
